Ticket #2890: fwmod.diff

Datei fwmod.diff, 4.9 KB (hinzugefügt von f_666, vor 6 Monaten)

Patch für fwmod.

  • \fwmod

    a b  
    11461146                mkdir -p "${d}${LINK_DIR}" 
    11471147                ln -sf "$BUSYBOX_PATH" "${d}${LINK_DIR}/$LINK_NAME" || error 1 "could not create link for $link" 
    11481148            done 
    11491149        done || exit 1 
    11501150    fi 
    11511151 
     1152    echo0 "installing packages" 
     1153    for pkg in $(static_packages); do 
     1154        sizeinfo "$pkg" 
     1155        pkg_name=$(pkg_name "$pkg") 
     1156 
     1157        "$TAR" -c -C "${PACKAGES_DIR}/${pkg}/root" \ 
     1158            $(find "${PACKAGES_DIR}/${pkg}/" -maxdepth 1 -type f -name ".exclude*" -printf '--exclude-from=%p ') \ 
     1159            . | \ 
     1160        "$TAR" -x -C "$FILESYSTEM_MOD_DIR" || exit 1 
     1161 
     1162        [ -d "${PACKAGES_DIR}/${pkg}/${VARTAR_SUBDIR}" ] && \ 
     1163            $( 
     1164                "$TAR" -c -C "${PACKAGES_DIR}/${pkg}/${VARTAR_SUBDIR}" . | \ 
     1165                "$TAR" -x -C ${VARTAR_MOD_DIR} || exit 1 
     1166            ) 
     1167 
     1168        [ -r "${PACKAGES_DIR}/${pkg}/.language" ] && \ 
     1169            modlang "${PACKAGES_DIR}/${pkg}/.language" "${FILESYSTEM_MOD_DIR}" 
     1170 
     1171        if ! grep -q "^$pkg_name$" "${VARTAR_MOD_DIR}/var/mod/etc/static.pkg" >/dev/null 2>&1; then 
     1172            echo "$pkg_name" >> "${VARTAR_MOD_DIR}/var/mod/etc/static.pkg" 
     1173        fi 
     1174 
     1175        pkgfiles=$(collect_pkg_files "${pkg}" | sed -e "s,^,${PACKAGES_DIR}/${pkg}/root,") 
     1176        sizeinfo pkg "${PACKAGES_DIR}/${pkg}" $pkgfiles 
     1177    done 
     1178    for pkg in $(static_addons); do 
     1179        sizeinfo "$pkg (addon)" 
     1180        pkg_name=$(pkg_name "$pkg") 
     1181 
     1182        if [ -e "${ADDON_DIR}/${pkg}/etc/init.d/rc.${pkg_name}" ]; then 
     1183            echo "NOTICE: addon '$pkg' is in old-style format (no language support)." 1>&2 
     1184            "$TAR" -c -C "${ADDON_DIR}/${pkg}" . | "$TAR" -x -C "$FILESYSTEM_MOD_DIR" || exit 1 
     1185        else 
     1186            "$TAR" -c -C "${ADDON_DIR}/${pkg}/root" \ 
     1187                $(find "${ADDON_DIR}/${pkg}/" -maxdepth 1 -type f -name ".exclude*" -printf '--exclude-from=%p ') \ 
     1188                . | \ 
     1189            "$TAR" -x -C "$FILESYSTEM_MOD_DIR" || exit 1 
     1190 
     1191            [ -d "${ADDON_DIR}/${pkg}/${VARTAR_SUBDIR}" ] && \ 
     1192                $( 
     1193                    "$TAR" -c -C "${ADDON_DIR}/${pkg}/${VARTAR_SUBDIR}" . | \ 
     1194                    "$TAR" -x -C ${VARTAR_MOD_DIR} || exit 1 
     1195                ) 
     1196 
     1197            [ -r "${ADDON_DIR}/${pkg}/.language" ] && \ 
     1198                modlang "${ADDON_DIR}/${pkg}/.language" "${FILESYSTEM_MOD_DIR}" 
     1199        fi 
     1200 
     1201        if ! grep -q "^$pkg_name$" "${VARTAR_MOD_DIR}/var/mod/etc/static.pkg" >/dev/null 2>&1; then 
     1202            echo "$pkg_name" >> "${VARTAR_MOD_DIR}/var/mod/etc/static.pkg" 
     1203        fi 
     1204        sizeinfo add "${ADDON_DIR}/${pkg}" 
     1205    done 
     1206 
    11521207    if [ "$NOCOMPILE" != "1" -a "$FREETZ_REPLACE_KERNEL" == "y" ]; then 
    11531208        echo0 "replacing kernel" 
    11541209 
    11551210        if [ ! -r "${KERNEL_REP_DIR}/kernel-${FREETZ_KERNEL_LAYOUT}-${FREETZ_AVM_SOURCE_ID}.bin" ]; then 
    11561211            error 1 "can't find kernel for ref ${FREETZ_KERNEL_LAYOUT}-${FREETZ_AVM_SOURCE_ID}" 
    11571212        fi 
     
    12351290 
    12361291    echo1 "removing empty kernel module directories" 
    12371292    for dir in $(find ${MODULES_DIR} -type d -empty -delete -printf "%P\n"); do 
    12381293        echo2 $dir 
    12391294    done 
    12401295 
    1241     echo0 "installing packages" 
    1242     for pkg in $(static_packages); do 
    1243         sizeinfo "$pkg" 
    1244         pkg_name=$(pkg_name "$pkg") 
    1245  
    1246         "$TAR" -c -C "${PACKAGES_DIR}/${pkg}/root" \ 
    1247             $(find "${PACKAGES_DIR}/${pkg}/" -maxdepth 1 -type f -name ".exclude*" -printf '--exclude-from=%p ') \ 
    1248             . | \ 
    1249         "$TAR" -x -C "$FILESYSTEM_MOD_DIR" || exit 1 
    1250  
    1251         [ -d "${PACKAGES_DIR}/${pkg}/${VARTAR_SUBDIR}" ] && \ 
    1252             $( 
    1253                 "$TAR" -c -C "${PACKAGES_DIR}/${pkg}/${VARTAR_SUBDIR}" . | \ 
    1254                 "$TAR" -x -C ${VARTAR_MOD_DIR} || exit 1 
    1255             ) 
    1256  
    1257         [ -r "${PACKAGES_DIR}/${pkg}/.language" ] && \ 
    1258             modlang "${PACKAGES_DIR}/${pkg}/.language" "${FILESYSTEM_MOD_DIR}" 
    1259  
    1260         if ! grep -q "^$pkg_name$" "${VARTAR_MOD_DIR}/var/mod/etc/static.pkg" >/dev/null 2>&1; then 
    1261             echo "$pkg_name" >> "${VARTAR_MOD_DIR}/var/mod/etc/static.pkg" 
    1262         fi 
    1263  
    1264         pkgfiles=$(collect_pkg_files "${pkg}" | sed -e "s,^,${PACKAGES_DIR}/${pkg}/root,") 
    1265         sizeinfo pkg "${PACKAGES_DIR}/${pkg}" $pkgfiles 
    1266     done 
    1267     for pkg in $(static_addons); do 
    1268         sizeinfo "$pkg (addon)" 
    1269         pkg_name=$(pkg_name "$pkg") 
    1270  
    1271         if [ -e "${ADDON_DIR}/${pkg}/etc/init.d/rc.${pkg_name}" ]; then 
    1272             echo "NOTICE: addon '$pkg' is in old-style format (no language support)." 1>&2 
    1273             "$TAR" -c -C "${ADDON_DIR}/${pkg}" . | "$TAR" -x -C "$FILESYSTEM_MOD_DIR" || exit 1 
    1274         else 
    1275             "$TAR" -c -C "${ADDON_DIR}/${pkg}/root" \ 
    1276                 $(find "${ADDON_DIR}/${pkg}/" -maxdepth 1 -type f -name ".exclude*" -printf '--exclude-from=%p ') \ 
    1277                 . | \ 
    1278             "$TAR" -x -C "$FILESYSTEM_MOD_DIR" || exit 1 
    1279  
    1280             [ -d "${ADDON_DIR}/${pkg}/${VARTAR_SUBDIR}" ] && \ 
    1281                 $( 
    1282                     "$TAR" -c -C "${ADDON_DIR}/${pkg}/${VARTAR_SUBDIR}" . | \ 
    1283                     "$TAR" -x -C ${VARTAR_MOD_DIR} || exit 1 
    1284                 ) 
    1285  
    1286             [ -r "${ADDON_DIR}/${pkg}/.language" ] && \ 
    1287                 modlang "${ADDON_DIR}/${pkg}/.language" "${FILESYSTEM_MOD_DIR}" 
    1288         fi 
    1289  
    1290         if ! grep -q "^$pkg_name$" "${VARTAR_MOD_DIR}/var/mod/etc/static.pkg" >/dev/null 2>&1; then 
    1291             echo "$pkg_name" >> "${VARTAR_MOD_DIR}/var/mod/etc/static.pkg" 
    1292         fi 
    1293         sizeinfo add "${ADDON_DIR}/${pkg}" 
    1294     done 
    1295  
    12961296    invoke_fwmod_custom all 
    12971297 
    12981298    # Processing some options, must be done after base package is in place 
    12991299    if [ "$FREETZ_INSTALL_BASE" == "y" ]; then 
    13001300        echo0 "processing mod base options" 
    13011301